## extended-actions-5.tar.bz2

=== CMakeLists.txt ===
# Check http://elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required (VERSION 2.6)
cmake_policy(VERSION 2.6)

project(extended-actions)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala )

add_subdirectory (src)
add_subdirectory (data)

=== data/CMakeLists.txt ===
configure_file(org.magma.ExtendedActions.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.magma.ExtendedActions.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.magma.ExtendedActions.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)
install(FILES archive.desktop archive-compress.desktop brasero.desktop thunderbird.desktop evolution.desktop postler.desktop print.desktop gnome-wallpaper.desktop gnome-terminal.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/extended-actions)

=== src/CMakeLists.txt ===
# Vala stuff

find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.10" MINIMUM)
include(ValaPrecompile)


configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.vala.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.vala)
# pkgconfig, real C code
find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED glib-2.0 gio-2.0 gio-unix-2.0 gee-1.0 gthread-2.0)
set(CFLAGS
	${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER}
)
set(LIB_PATHS
	${DEPS_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})


add_definitions(${CFLAGS})
vala_precompile(VALA_C extended-actions.vala config.vala
PACKAGES
    glib-2.0
    gio-2.0
    gio-unix-2.0
    gee-1.0

OPTIONS
    --thread)

add_executable(extended-actions
    ${VALA_C} )

target_link_libraries(extended-actions ${DEPS_LIBRARIES})

install(TARGETS extended-actions RUNTIME DESTINATION bin)

=== debian/changelog ===
extended-actions (0.1) oneiric; urgency=low

  * Initial packaging

 -- ammonkey <am.monkeyd@gmail.com>  Sun, 04 Dec 2011 09:31:13 +0100

=== debian/control ===
Source: extended-actions
Section: utils
Priority: optional
Maintainer: ammonkey <am.monkeyd@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6), valac (>= 0.10), libglib2.0-dev, libgee-dev
Standards-Version: 3.8.4
Homepage: https://launchpad.net/extended-actions

Package: extended-actions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Service for generating extended actions on files
 A service that allows applications to request some extended actions for a list of files depending on their mimetypes and some other constraints. Any user can extend their applications by adding custom actions.
